Package oracle.jdbc.diagnostics

## Interface PropertyChangeListener

All Known Subinterfaces:
  `Diagnosable`

All Known Implementing Classes:
  `AbstractDiagnosable`, `ArrayDescriptor`, `CommonDiagnosable`, `ConverterArchive`, `OpaqueDescriptor`, `OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSourceImpl`, `OracleDataSource`, `OracleDataSource`, `OracleDataSourceImpl`, `OracleMultiPhaseArgs`, `OracleOCIConnectionPool`, `OraclePooledConnection`, `OracleXAConnection`, `OracleXAConnection`, `OracleXADataSource`, `OracleXADataSource`, `OracleXADataSourceImpl`, `OracleXAHeteroCloseCallback`, `OracleXAHeteroConnection`, `OracleXAHeteroResource`, `OracleXAResource`, `OracleXAResource`, `StructDescriptor`, `TypeDescriptor`

    public interface PropertyChangeListener

Introduced to fix Bug 36302408 - ORACLE JDBC DRIVER 23C HAS COUPLING TO JAVA.DESKTOP MODULE. This class replaces the use of `PropertyChangeListener` to eliminate dependancy on module java.desktop.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `propertyChange​(PropertyChangeEvent evt)`

### Method Detail

#### propertyChange

    void propertyChange​(PropertyChangeEvent evt)